%define name wmsound
%define version 0.9.5
%define release 2esd.num

%define builddir $RPM_BUILD_DIR/%{name}-%{version}-root

%define wmdir /usr/share/WindowMaker
%define etcdir /etc/X11/WindowMaker

Summary: WindowMaker sound server


Name: %{name}
Version: %{version}
Release: %{release}
Group: User Interface/Desktops
Copyright: GPL
Source: http://www.frontiernet.net/~southgat/wmsound/download/%{name}-%{version}.tar.gz
URL: http://www.frontiernet.net/~southgat/wmsound/
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Patch: wmsound-esd.patch
Requires: WindowMaker >= 0.53.0
Icon: wmsound.gif

%changelog

%description
Wmsound is the sound server for WindowMaker, it
currently supports 8 or 16 bit .au and .wav files.

%package devel
Summary: Static libraries and header files for wmsound
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Static libraries and header files for developing or
compiling applications that requires wmsound.

%prep
%setup
%patch -p1

%build
cat wmsound.inst wmsound.inst-rpm > wmsound.instr
chmod 755 wmsound.instr
./wmsound.instr
cat wmsound.inst wmsound.inst-end > wmsound.instu
xmkmf -a 
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
make install DESTDIR=$RPM_BUILD_ROOT/usr/X11R6
mkdir -p $RPM_BUILD_ROOT%{wmdir}/{SoundSets,Sounds}
cp wmsound.instu $RPM_BUILD_ROOT%{wmdir}/wmsound.inst

mkdir -p $RPM_BUILD_ROOT%{etcdir}
cp WMSound $RPM_BUILD_ROOT%{etcdir}
strip $RPM_BUILD_ROOT/usr/X11R6/bin/*

mkdir -p $RPM_BUILD_ROOT/%{wmdir}/

%files
%doc AUTHORS COPYING ChangeLog BUGS INSTALL
%attr(755,root,root) /usr/X11R6/bin/*
%attr(644,root,root) %config %{etcdir}/WMSound
%attr(755,root,root) %{wmdir}/wmsound.inst

%files devel
%attr(644,root,root) /usr/X11R6/lib/*.a
%attr(644,root,root) /usr/X11R6/include/*.h

%clean
rm -r $RPM_BUILD_ROOT

%changelog

* Sat Jun 12 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
- first build [0.9.5]















